name:                 transformers
version:              0.6.1.1
visibility:           public
id:                   transformers-0.6.1.1-inplace
key:                  transformers-0.6.1.1-inplace
license:              BSD-3-Clause
maintainer:           Ross Paterson <R.Paterson@city.ac.uk>
author:               Andy Gill, Ross Paterson
synopsis:             Concrete functor and monad transformers
description:
    A portable library of functor and monad transformers, inspired by
    the paper

    * \"Functional Programming with Overloading and Higher-Order
    Polymorphism\", by Mark P Jones,
    in /Advanced School of Functional Programming/, 1995
    (<http://web.cecs.pdx.edu/~mpj/pubs/springschool.html>).

    This package contains:

    * the monad transformer class (in "Control.Monad.Trans.Class")

    * concrete functor and monad transformers, each with associated
    operations and functions to lift operations associated with other
    transformers.

    The package can be used on its own in portable Haskell code, in
    which case operations need to be manually lifted through transformer
    stacks (see "Control.Monad.Trans.Class" for some examples).
    Alternatively, it can be used with the non-portable monad classes in
    the @mtl@ or @monads-tf@ packages, which automatically lift operations
    introduced by monad transformers through other transformers.

category:             Control
abi:                  266c88ea7697bfa9dcfebce75f870407
exposed:              True
exposed-modules:
    Control.Applicative.Backwards Control.Applicative.Lift
    Control.Monad.Signatures Control.Monad.Trans.Accum
    Control.Monad.Trans.Class Control.Monad.Trans.Cont
    Control.Monad.Trans.Except Control.Monad.Trans.Identity
    Control.Monad.Trans.Maybe Control.Monad.Trans.RWS
    Control.Monad.Trans.RWS.CPS Control.Monad.Trans.RWS.Lazy
    Control.Monad.Trans.RWS.Strict Control.Monad.Trans.Reader
    Control.Monad.Trans.Select Control.Monad.Trans.State
    Control.Monad.Trans.State.Lazy Control.Monad.Trans.State.Strict
    Control.Monad.Trans.Writer Control.Monad.Trans.Writer.CPS
    Control.Monad.Trans.Writer.Lazy Control.Monad.Trans.Writer.Strict
    Data.Functor.Constant Data.Functor.Reverse

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/transformers-0.6.1.1-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/transformers-0.6.1.1-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/transformers-0.6.1.1-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:
    ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/transformers-0.6.1.1

hs-libraries:         HStransformers-0.6.1.1-inplace
depends:              base-4.20.0.0-inplace
haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/transformers-0.6.1.1-inplace/transformers.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/transformers-0.6.1.1-inplace"

